Use the API key created under your merchant account from the Foldd dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Response
List of retrieved mandates for a customer
mandate_id
string
required
The identifier for mandate
status
enum<string>
required
The status of the mandate, which indicates whether it can be used to initiate a payment.
Available options:
active,
inactive,
pending,
revoked
payment_method_id
string
required
The identifier for payment method
payment_method
string
required
The payment method
payment_method_type
string | null
The payment method type
card
object | null
Show child attributes
customer_acceptance
object | null
This "CustomerAcceptance" object is passed during Payments-Confirm request, it enlists the type, time, and mode of acceptance properties related to an acceptance done by the customer. The customer_acceptance sub object is usually passed by the SDK or client.
Show child attributes
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Foldd","colors":{"primary":"#006DF9","light":"#006DF9","dark":"#006DF9"},"favicon":"/favicon.ico","logo":{"light":"https://mintcdn.com/foldd/4pjPQXvMDEJJFTI-/logo/light.svg?fit=max\u0026auto=format\u0026n=4pjPQXvMDEJJFTI-\u0026q=85\u0026s=f6c0da8ec03d7be15c770bb03396d9b6","dark":"https://mintcdn.com/foldd/4pjPQXvMDEJJFTI-/logo/dark.svg?fit=max\u0026auto=format\u0026n=4pjPQXvMDEJJFTI-\u0026q=85\u0026s=daea85eec30447b4c35dd713735d889d"},"api":{"openapi":["openapi_spec.json"]},"background":{"decoration":null,"color":{"light":null,"dark":"#242F48"}},"footer":{"socials":{}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"foldd","hasAudioNarration":false,"actualSubdomain":"foldd","customDomains":["docs.foldd.com"],"gitSource":{"type":"github","owner":"foldd-payments","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae929f32aa543bea3370193:success","clientVersion":"0.0.4248","searchFilterCounts":[{"language":"default","tag":"API Reference","count":64},{"language":"default","tag":"Payments","count":14},{"language":"default","tag":"Routing","count":10},{"language":"default","tag":"Payment Methods","count":9},{"language":"default","tag":"Payouts","count":9},{"language":"default","tag":"Customers","count":5},{"language":"default","tag":"Blocklist","count":4},{"language":"default","tag":"Refunds","count":4},{"language":"default","tag":"Mandates","count":3},{"language":"default","tag":"Essentials","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/mandates/mandates--customer-mandates-list","slug":"/api-reference/mandates/mandates--customer-mandates-list","pageMetadata":{"openapi":"post /customers/{customer_id}/mandates","title":"Mandates - Customer Mandates List","description":"Lists all the mandates for a particular customer id.","href":"/api-reference/mandates/mandates--customer-mandates-list"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Lists all the mandates for a particular customer id.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /customers/{customer_id}/mandates","title":"Mandates - Customer Mandates List","description":"Lists all the mandates for a particular customer id.","href":"/api-reference/mandates/mandates--customer-mandates-list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Mandates"],"summary":"Mandates - Customer Mandates List","description":"Lists all the mandates for a particular customer id.","operationId":"List Mandates for a Customer","responses":{"200":"66d7e2b9-be21-493e-8c55-c49faeaf07bd","400":"953d3005-f073-4c52-a57e-0a6c09620e6f"},"security":["bad017cd-5fb8-41fa-88c8-059d2bc800dd"],"method":"post","type":"path","servers":["073a37b3-70aa-4a3f-b06f-960e0969cfd4"],"path":"/customers/{customer_id}/mandates","baseUrlOptions":["https://sandbox.foldd.com"],"title":"Mandates - Customer Mandates List","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"responses":{"66d7e2b9-be21-493e-8c55-c49faeaf07bd":{"description":"List of retrieved mandates for a customer","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["mandate_id","status","payment_method_id","payment_method"],"properties":{"mandate_id":{"type":"string","description":"The identifier for mandate","isRequired":true,"uniqueKey":"items.[INDEX].mandate_id","typeLabel":"string"},"status":{"type":"string","description":"The status of the mandate, which indicates whether it can be used to initiate a payment.","enum":["active","inactive","pending","revoked"],"isRequired":true,"uniqueKey":"items.[INDEX].status","typeLabel":"enum\u003cstring>"},"payment_method_id":{"type":"string","description":"The identifier for payment method","isRequired":true,"uniqueKey":"items.[INDEX].payment_method_id","typeLabel":"string"},"payment_method":{"type":"string","description":"The payment method","isRequired":true,"uniqueKey":"items.[INDEX].payment_method","typeLabel":"string"},"payment_method_type":{"oneOf":[{"type":"string","description":"The payment method type","uniqueKey":"items.[INDEX].payment_method_type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The payment method type","uniqueKey":"items.[INDEX].payment_method_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].payment_method_type","typeLabel":"string | null"},"card":{"oneOf":[{"type":"object","properties":{"last4_digits":{"oneOf":[{"type":"string","description":"The last 4 digits of card","uniqueKey":"items.[INDEX].card.oneOf.0.last4_digits.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last 4 digits of card","uniqueKey":"items.[INDEX].card.oneOf.0.last4_digits.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.last4_digits","typeLabel":"string | null"},"card_exp_month":{"oneOf":[{"type":"string","description":"The expiry month of card","uniqueKey":"items.[INDEX].card.oneOf.0.card_exp_month.oneOf.0","typeLabel":"string"},{"type":"null","description":"The expiry month of card","uniqueKey":"items.[INDEX].card.oneOf.0.card_exp_month.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_exp_month","typeLabel":"string | null"},"card_exp_year":{"oneOf":[{"type":"string","description":"The expiry year of card","uniqueKey":"items.[INDEX].card.oneOf.0.card_exp_year.oneOf.0","typeLabel":"string"},{"type":"null","description":"The expiry year of card","uniqueKey":"items.[INDEX].card.oneOf.0.card_exp_year.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_exp_year","typeLabel":"string | null"},"card_holder_name":{"oneOf":[{"type":"string","description":"The card holder name","uniqueKey":"items.[INDEX].card.oneOf.0.card_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card holder name","uniqueKey":"items.[INDEX].card.oneOf.0.card_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_holder_name","typeLabel":"string | null"},"card_token":{"oneOf":[{"type":"string","description":"The token from card locker","uniqueKey":"items.[INDEX].card.oneOf.0.card_token.oneOf.0","typeLabel":"string"},{"type":"null","description":"The token from card locker","uniqueKey":"items.[INDEX].card.oneOf.0.card_token.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_token","typeLabel":"string | null"},"scheme":{"oneOf":[{"type":"string","description":"The card scheme network for the particular card","uniqueKey":"items.[INDEX].card.oneOf.0.scheme.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card scheme network for the particular card","uniqueKey":"items.[INDEX].card.oneOf.0.scheme.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.scheme","typeLabel":"string | null"},"issuer_country":{"oneOf":[{"type":"string","description":"The country code in in which the card was issued","uniqueKey":"items.[INDEX].card.oneOf.0.issuer_country.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code in in which the card was issued","uniqueKey":"items.[INDEX].card.oneOf.0.issuer_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.issuer_country","typeLabel":"string | null"},"card_fingerprint":{"oneOf":[{"type":"string","description":"A unique identifier alias to identify a particular card","uniqueKey":"items.[INDEX].card.oneOf.0.card_fingerprint.oneOf.0","typeLabel":"string"},{"type":"null","description":"A unique identifier alias to identify a particular card","uniqueKey":"items.[INDEX].card.oneOf.0.card_fingerprint.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_fingerprint","typeLabel":"string | null"},"card_isin":{"oneOf":[{"type":"string","description":"The first 6 digits of card","uniqueKey":"items.[INDEX].card.oneOf.0.card_isin.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first 6 digits of card","uniqueKey":"items.[INDEX].card.oneOf.0.card_isin.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_isin","typeLabel":"string | null"},"card_issuer":{"oneOf":[{"type":"string","description":"The bank that issued the card","uniqueKey":"items.[INDEX].card.oneOf.0.card_issuer.oneOf.0","typeLabel":"string"},{"type":"null","description":"The bank that issued the card","uniqueKey":"items.[INDEX].card.oneOf.0.card_issuer.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_issuer","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"Indicates the card network.","enum":["Visa","Mastercard","AmericanExpress","JCB","DinersClub","Discover","CartesBancaires","UnionPay","Interac","RuPay","Maestro","Star","Pulse","Accel","Nyce"],"uniqueKey":"items.[INDEX].card.oneOf.0.card_network.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"items.[INDEX].card.oneOf.0.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_network","typeLabel":"enum\u003cstring> | null"},"card_type":{"oneOf":[{"type":"string","description":"The type of the payment card","uniqueKey":"items.[INDEX].card.oneOf.0.card_type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The type of the payment card","uniqueKey":"items.[INDEX].card.oneOf.0.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.card_type","typeLabel":"string | null"},"nick_name":{"oneOf":[{"type":"string","description":"The nick_name of the card holder","uniqueKey":"items.[INDEX].card.oneOf.0.nick_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The nick_name of the card holder","uniqueKey":"items.[INDEX].card.oneOf.0.nick_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card.oneOf.0.nick_name","typeLabel":"string | null"}},"uniqueKey":"items.[INDEX].card.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"items.[INDEX].card.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].card","typeLabel":"object | null"},"customer_acceptance":{"oneOf":[{"type":"object","description":"This \"CustomerAcceptance\" object is passed during Payments-Confirm request, it enlists the type, time, and mode of acceptance properties related to an acceptance done by the customer. The customer_acceptance sub object is usually passed by the SDK or client.","required":["acceptance_type"],"properties":{"acceptance_type":{"type":"string","description":"This is used to indicate if the mandate was accepted online or offline","enum":["online","offline"],"isRequired":true,"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.acceptance_type","typeLabel":"enum\u003cstring>"},"accepted_at":{"oneOf":[{"type":"string","format":"date-time","description":"Specifying when the customer acceptance was provided","example":"2022-09-10T10:11:12Z","uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.accepted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Specifying when the customer acceptance was provided","example":"2022-09-10T10:11:12Z","uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.accepted_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.accepted_at","typeLabel":"string\u003cdate-time> | null"},"online":{"oneOf":[{"type":"object","required":["ip_address","user_agent"],"properties":{"ip_address":{"type":"string","description":"Ip address of the customer machine from which the mandate was created","example":"123.32.25.123","isRequired":true,"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.online.oneOf.0.ip_address","typeLabel":"string"},"user_agent":{"type":"string","description":"The user-agent of the customer's browser","isRequired":true,"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.online.oneOf.0.user_agent","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.online.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.online.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0.online","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].customer_acceptance.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"items.[INDEX].customer_acceptance.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].customer_acceptance","typeLabel":"object | null"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"mandate_id":"\u003cstring>","status":"active","payment_method_id":"\u003cstring>","payment_method":"\u003cstring>","payment_method_type":"\u003cstring>","card":{"last4_digits":"\u003cstring>","card_exp_month":"\u003cstring>","card_exp_year":"\u003cstring>","card_holder_name":"\u003cstring>","card_token":"\u003cstring>","scheme":"\u003cstring>","issuer_country":"\u003cstring>","card_fingerprint":"\u003cstring>","card_isin":"\u003cstring>","card_issuer":"\u003cstring>","card_network":"Visa","card_type":"\u003cstring>","nick_name":"\u003cstring>"},"customer_acceptance":{"acceptance_type":"online","accepted_at":"2022-09-10T10:11:12Z","online":{"ip_address":"123.32.25.123","user_agent":"\u003cstring>"}}}]}},"exampleType":"generated"}},"exampleType":"generated"},"953d3005-f073-4c52-a57e-0a6c09620e6f":{"description":"Invalid Data","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"bad017cd-5fb8-41fa-88c8-059d2bc800dd":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the Foldd dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[]}}},"servers":{"073a37b3-70aa-4a3f-b06f-960e0969cfd4":{"url":"https://sandbox.foldd.com","description":"Sandbox Environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the Foldd dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[]},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the Foldd dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"}]},"originalFileLocation":"openapi_spec.json"},"subdomain":"foldd","siteName":"Foldd","title":"Mandates - Customer Mandates List - Foldd","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T09:07:03.441Z","originalFileLocation":"api-reference/mandates/mandates--customer-mandates-list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Lists all the mandates for a particular customer id.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Foldd\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Mandates - Customer Mandates List - Foldd\">\u003cmeta data-mint-head property=\"og:description\" content=\"Lists all the mandates for a particular customer id.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Foldd\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://foldd.mintlify.site/_mintlify/api/og/v2?division=Mandates\u0026amp;title=Mandates+-+Customer+Mandates+List\u0026amp;description=Lists+all+the+mandates+for+a+particular+customer+id.\u0026amp;theme=4186edb71ca2795c28d3447f\u0026amp;signature=8c1ea3f4e93ded948d5192a627fa4eb3f54ad3b2f8674126f7e71791d2e41b8f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Mandates - Customer Mandates List - Foldd\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Lists all the mandates for a particular customer id.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://foldd.mintlify.site/_mintlify/api/og/v2?division=Mandates\u0026amp;title=Mandates+-+Customer+Mandates+List\u0026amp;description=Lists+all+the+mandates+for+a+particular+customer+id.\u0026amp;theme=4186edb71ca2795c28d3447f\u0026amp;signature=8c1ea3f4e93ded948d5192a627fa4eb3f54ad3b2f8674126f7e71791d2e41b8f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/foldd/wIvqjKXYzmZnriy4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Foldd\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#006DF9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/mandates/mandates--customer-mandates-list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.foldd.com/#organization\",\"name\":\"Foldd\",\"url\":\"https://docs.foldd.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/foldd/4pjPQXvMDEJJFTI-/logo/light.svg?fit=max\u0026auto=format\u0026n=4pjPQXvMDEJJFTI-\u0026q=85\u0026s=f6c0da8ec03d7be15c770bb03396d9b6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.foldd.com#website\",\"name\":\"Foldd\",\"url\":\"https://docs.foldd.com\",\"publisher\":{\"@id\":\"https://docs.foldd.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list#webpage\",\"url\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list\",\"name\":\"Mandates - Customer Mandates List\",\"description\":\"Lists all the mandates for a particular customer id.\",\"dateModified\":\"2026-01-07T09:07:03.441Z\",\"isPartOf\":{\"@id\":\"https://docs.foldd.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.foldd.com/api-reference/payments/Introduction--to--payments\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Mandates\",\"item\":\"https://docs.foldd.com/api-reference/mandates/mandates--revoke-mandate\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Mandates - Customer Mandates List\",\"item\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list#apireference\",\"headline\":\"Mandates - Customer Mandates List\",\"name\":\"Mandates - Customer Mandates List\",\"description\":\"Lists all the mandates for a particular customer id.\",\"url\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.foldd.com/api-reference/mandates/mandates--customer-mandates-list#webpage\"},\"dateModified\":\"2026-01-07T09:07:03.441Z\",\"publisher\":{\"@id\":\"https://docs.foldd.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.foldd.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Foldd\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Foldd\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/mandates/mandates--customer-mandates-list.md","siteName":"Foldd","nav":{"global":null,"groups":[{"group":"Get Started","pages":[{"title":"👋 Welcome to Foldd API Reference","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"solid","href":"/introduction"}]},{"group":"Essentials","pages":[{"title":"Error Codes","href":"/essentials/error_codes"},{"title":"Rate Limits","href":"/essentials/rate_limit"},{"title":"Go-live Checklist","href":"/essentials/go-live"}]},{"group":"API Reference","pages":[{"group":"Payments","pages":[{"sidebarTitle":"Getting Started with Payments","icon":"circle-play","iconType":"solid","title":null,"href":"/api-reference/payments/Introduction--to--payments"},{"openapi":"openapi_spec post /payments","title":"Payments - Create","href":"/api-reference/payments/payments--create"},{"openapi":"openapi_spec post /payments/{payment_id}","title":"Payments - Update","href":"/api-reference/payments/payments--update"},{"openapi":"openapi_spec post /payments/{payment_id}/confirm","title":"Payments - Confirm","href":"/api-reference/payments/payments--confirm"},{"openapi":"openapi_spec get /payments/{payment_id}","title":"Payments - Retrieve","href":"/api-reference/payments/payments--retrieve"},{"openapi":"openapi_spec post /payments/{payment_id}/cancel","title":"Payments - Cancel","href":"/api-reference/payments/payments--cancel"},{"openapi":"openapi_spec post /payments/{payment_id}/capture","title":"Payments - Capture","href":"/api-reference/payments/payments--capture"},{"openapi":"post /payments/{payment_id}/incremental_authorization","title":"Payments - Incremental Authorization","href":"/api-reference/payments/payments--incremental-authorization"},{"openapi":"openapi_spec post /payments/session_tokens","title":"Payments - Session token","href":"/api-reference/payments/payments--session-token"},{"openapi":"openapi_spec get /payment_link/{payment_link_id}","title":"Payments Link - Retrieve","href":"/api-reference/payments/payments-link--retrieve"},{"openapi":"openapi_spec get /payments/list","title":"Payments - List","href":"/api-reference/payments/payments--list"},{"openapi":"post /payments/{payment_id}/3ds/authentication","title":"Payments - External 3DS Authentication","href":"/api-reference/payments/payments--external-3ds-authentication"},{"openapi":"post /{payment_id}/complete_authorize","title":"Payments - Complete Authorize","href":"/api-reference/payments/payments--complete-authorize"},{"openapi":"post /payments/{payment_id}/update_metadata","title":"Payments - Update Metadata","href":"/api-reference/payments/payments--update-metadata"}]},{"group":"Payment Methods","pages":[{"openapi":"openapi_spec post /payment_methods","title":"PaymentMethods - Create","href":"/api-reference/payment-methods/paymentmethods--create"},{"openapi":"openapi_spec get /payment_methods/{method_id}","title":"Payment Method - Retrieve","href":"/api-reference/payment-methods/payment-method--retrieve"},{"openapi":"openapi_spec post /payment_methods/{method_id}/update","title":"Payment Method - Update","href":"/api-reference/payment-methods/payment-method--update"},{"openapi":"openapi_spec delete /payment_methods/{method_id}","title":"Payment Method - Delete","href":"/api-reference/payment-methods/payment-method--delete"},{"openapi":"get /{customer_id}/payment_methods/{payment_method_id}/default","title":"Payment Method - Set Default Payment Method for Customer","href":"/api-reference/payment-methods/payment-method--set-default-payment-method-for-customer"},{"openapi":"openapi_spec get /account/payment_methods","title":"List payment methods for a Merchant","href":"/api-reference/payment-methods/list-payment-methods-for-a-merchant"},{"openapi":"get /customers/payment_methods","title":"List customer saved payment methods for a Payment","href":"/api-reference/payment-methods/list-customer-saved-payment-methods-for-a-payment"},{"openapi":"openapi_spec get /customers/{customer_id}/payment_methods","title":"List payment methods for a Customer","href":"/api-reference/payment-methods/list-payment-methods-for-a-customer"},{"openapi":"get /{customer_id}/payment_methods/{payment_method_id}/default","title":"Payment Method - Set Default Payment Method for Customer","href":"/api-reference/customer-set-default-payment-method/customers--set-default-payment-method"}]},{"group":"Customers","pages":[{"openapi":"openapi_spec post /customers","title":"Customers - Create","href":"/api-reference/customers/customers--create"},{"openapi":"openapi_spec get /customers/{customer_id}","title":"Customers - Retrieve","href":"/api-reference/customers/customers--retrieve"},{"openapi":"openapi_spec post /customers/{customer_id}","title":"Customers - Update","href":"/api-reference/customers/customers--update"},{"openapi":"openapi_spec delete /customers/{customer_id}","title":"Customers - Delete","href":"/api-reference/customers/customers--delete"},{"openapi":"openapi_spec get /customers/list","title":"Customers - List","href":"/api-reference/customers/customers--list"}]},{"group":"Mandates","pages":[{"openapi":"openapi_spec post /mandates/revoke/{mandate_id}","title":"Mandates - Revoke Mandate","href":"/api-reference/mandates/mandates--revoke-mandate"},{"openapi":"openapi_spec get /mandates/{mandate_id}","title":"Mandates - Retrieve Mandate","description":"Retrieves a mandate created using the Payments/Create API","href":"/api-reference/mandates/mandates--retrieve-mandate"},{"openapi":"post /customers/{customer_id}/mandates","title":"Mandates - Customer Mandates List","href":"/api-reference/mandates/mandates--customer-mandates-list"}]},{"group":"Refunds","pages":[{"openapi":"openapi_spec post /refunds","title":"Refunds - Create","description":"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded","href":"/api-reference/refunds/refunds--create"},{"openapi":"openapi_spec post /refunds/{refund_id}","title":"Refunds - Update","href":"/api-reference/refunds/refunds--update"},{"openapi":"openapi_spec get /refunds/{refund_id}","title":"Refunds - Retrieve","href":"/api-reference/refunds/refunds--retrieve"},{"openapi":"openapi_spec post /refunds/list","title":"Refunds - List","href":"/api-reference/refunds/refunds--list"}]},{"group":"Disputes","pages":[{"openapi":"openapi_spec get /disputes/{dispute_id}","title":"Disputes - Retrieve Dispute","href":"/api-reference/disputes/disputes--retrieve"},{"openapi":"openapi_spec get /disputes/list","title":"Disputes - List Disputes","href":"/api-reference/disputes/disputes--list"}]},{"group":"Payouts","pages":[{"openapi":"openapi_spec post /payouts/create","title":"Payouts - Create","href":"/api-reference/payouts/payouts--create"},{"openapi":"openapi_spec post /payouts/{payout_id}","title":"Payouts - Update","href":"/api-reference/payouts/payouts--update"},{"openapi":"openapi_spec post /payouts/{payout_id}/cancel","title":"Payouts - Cancel","href":"/api-reference/payouts/payouts--cancel"},{"openapi":"openapi_spec post /payouts/{payout_id}/fulfill","title":"Payouts - Fulfill","href":"/api-reference/payouts/payouts--fulfill"},{"openapi":"openapi_spec post /payouts/{payout_id}/confirm","title":"Payouts - Confirm","href":"/api-reference/payouts/payouts--confirm"},{"openapi":"openapi_spec get /payouts/{payout_id}","title":"Payouts - Retrieve","href":"/api-reference/payouts/payouts--retrieve"},{"openapi":"get /payouts/list","title":"Payouts - List","href":"/api-reference/payouts/payouts--list"},{"openapi":"post /payouts/filter","title":"Payouts - List available filters","href":"/api-reference/payouts/payouts--list-filters"},{"openapi":"post /payouts/list","title":"Payouts - List using filters","href":"/api-reference/payouts/payouts--filter"}]},{"group":"Event","pages":[{"title":"Events list","href":"/api-reference/event/events--list"},{"title":"Events delivery attempt list","href":"/api-reference/event/events--delivery-attempt-list"},{"title":"Events manual retry","href":"/api-reference/event/events--manual-retry"}]},{"group":"Poll","pages":[{"openapi":"get /poll/status/{poll_id}","title":"Poll - Retrieve Poll Status","href":"/api-reference/poll/poll--retrieve-poll-status"}]},{"group":"Blocklist","pages":[{"openapi":"get /blocklist","title":null,"href":"/api-reference/blocklist/get-blocklist"},{"openapi":"post /blocklist","title":null,"href":"/api-reference/blocklist/post-blocklist"},{"openapi":"delete /blocklist","title":null,"href":"/api-reference/blocklist/delete-blocklist"},{"openapi":"post /blocklist/toggle","title":null,"href":"/api-reference/blocklist/post-blocklisttoggle"}]},{"group":"Routing","pages":[{"openapi":"get /routing","title":"Routing - List","href":"/api-reference/routing/routing--list"},{"openapi":"post /routing","title":"Routing - Create","href":"/api-reference/routing/routing--create"},{"openapi":"get /routing/active","title":"Routing - Retrieve Config","href":"/api-reference/routing/routing--retrieve-config"},{"openapi":"post /routing/deactivate","title":"Routing - Deactivate","href":"/api-reference/routing/routing--deactivate"},{"openapi":"get /routing/default","title":"Routing - Retrieve Default Config","href":"/api-reference/routing/routing--retrieve-default-config"},{"openapi":"post /routing/default","title":"Routing - Update Default Config","href":"/api-reference/routing/routing--update-default-config"},{"openapi":"get /routing/default/profile","title":"Routing - Retrieve Default For Profile","href":"/api-reference/routing/routing--retrieve-default-for-profile"},{"openapi":"post /routing/default/profile/{profile_id}","title":"Routing - Update Default For Profile","href":"/api-reference/routing/routing--update-default-for-profile"},{"openapi":"get /routing/{routing_algorithm_id}","title":"Routing - Retrieve","href":"/api-reference/routing/routing--retrieve"},{"openapi":"post /routing/{routing_algorithm_id}/activate","title":"Routing - Activate config","href":"/api-reference/routing/routing--activate-config"}]},{"group":"Relay","pages":[{"openapi":"openapi_spec post /relay","title":"Relay - Create","href":"/api-reference/relay/relay"},{"openapi":"openapi_spec get /relay/{relay_id}","title":"Relay - Retrieve","href":"/api-reference/relay/relay--retrieve"}]},{"group":"Schemas","pages":[{"title":null,"href":"/api-reference/schemas/outgoing--webhook"}]}]}]},"basePath":"","title":"Mandates - Customer Mandates List - Foldd","deploymentId":"dpl_2pTxFtyBudBMYZiCw1MyvoA1wxpd","buildId":"dpl_2pTxFtyBudBMYZiCw1MyvoA1wxpd","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BtG4DSkw.js","snippetPresets-C1k1xDhp.js","utils-PMJoEt4Y.js","style-to-object-BY3JEAdk.js","utils-DW3Pr7Jq.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DIISLO2w.js","conditional-requirements-CFM0id0Q.js","cloneDeep-BErNCZCm.js","_Uint8Array-f0PCu9f_.js","isObject-FP1Yky1u.js","ApiExamples-OjY-8mqu.js","usePlaygroundInputsStore-B2HS2hUb.js","shallow-DVFuuIDQ.js","isEqual-DG0UKiQC.js","CodeSnippets-Cy6FBgwN.js","CodeSnippet-D1PtG8ed.js","getApiPlaygroundDisplay-Dkx2eNtL.js","Page-C8Cg25if.js","DynamicMarkdown-BvJIe00T.js","SectionHeading-B0rKYV8d.js","icon-yclzBff4.js","MethodPill-DxA11cCF.js","getPastedJson-CpkIDpMk.js","DuplicateIcon-CFCQNJ-D.js","axios-CsQoIw0U.js","Markdown-CK5C-fmV.js","AssistantPageLink-Cw134Dd-.js","dist-3xM3Qrc7.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}